Summary:	FreeCol is an open version of the game Colonization
Name:		freecol
Version:	1.2.0
Release:	1
License:	GPLv2+
Group:		Games/Strategy
Url:		http://www.freecol.org
Source0:	https://prdownloads.sourceforge.net/freecol/%{name}-%{version}-src.zip
BuildRequires:	ant
BuildRequires:	git-core
BuildRequires:	unzip
BuildRequires:	java-21-devel
Requires:	java-21
Requires:	desktop-common-data
BuildArch:	noarch

%description
FreeCol is an open version of Colonization. It is a Civilization-like game in
which the player has to conquer the new world.

%files
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%doc packaging/common/README
%license packaging/common/COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/%{name}
%{_datadir}/pixmaps/%{name}.xpm

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}

%build
ant

%install
mkdir -p %{buildroot}%{_datadir}/games/%{name}
cp FreeCol.jar %{buildroot}%{_datadir}/games/%{name}
cp -a {data,jars} %{buildroot}%{_datadir}/games/%{name}

mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh

java -Xmx16G -jar %{_datadir}/games/%{name}/FreeCol.jar \\
	--freecol-data %{_datadir}/games/%{name}/data
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp packaging/common/%{name}.xpm %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FreeCol
Comment=FreeCol is an open version of the game Colonization
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF
